//*******************************************************
//   ***  I2C_ROUTINES HEADER FILE ******** 		
//*******************************************************
//Controller		: ATmega32 (Clock: 8 Mhz-internal)
//Compiler			: AVR-GCC (winAVR with AVRStudio-4)
//Project Version	: DL_1.0
//Author			: CC Dharmani, Chennai (India)
//			  		  www.dharmanitech.com
//Date				: 10 May 2011
//Update			: Ellen Ramcke 08/2019
//*******************************************************

#ifndef _I2C_ROUTINES_H_
#define _I2C_ROUTINES_H_


#define	 START				0x08
#define  REPEAT_START		0x10
#define  MT_SLA_ACK			0x18
#define  MT_SLA_NACK		0x20
#define  MT_DATA_ACK		0x28
#define  MT_DATA_NACK		0x30
#define  MR_SLA_ACK			0x40
#define  MR_SLA_NACK		0x48
#define  MR_DATA_ACK		0x50
#define  MR_DATA_NACK		0x58
#define  ARB_LOST			0x38

#define  ERROR_CODE			0x7e
	

void I2C_Init(void);
unsigned char I2C_Start(void);
unsigned char I2C_RepeatStart(void);
unsigned char I2C_Write_Adr(void);
unsigned char i2c_sendAddress(unsigned char);
unsigned char I2C_Write(unsigned char);
unsigned char I2C_Read_ACK(void);
unsigned char I2C_Read_NACK(void);
unsigned char I2C_Status(void);
void I2C_Stop(void);


#endif
	
